## ocaml-benchmark 0.6

=== Makefile ===
# $Id: Makefile,v 1.6 2004/09/02 20:08:01 chris_77 Exp $

PKGNAME	   = $(shell grep "name" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")
PKGVERSION = $(shell grep "version" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")

SRC_WEB    = web
SF_WEB     = /home/groups/o/oc/ocaml-benchmark/htdocs

BYTE_OBJS    :=
OPT_OBJS     :=
REQUIRES     := 
PREDICATES   :=

OCAMLC       := ocamlc
OCAMLOPT     := ocamlopt
OCAMLDEP     := ocamldep
OCAMLDOC     := ocamldoc
OCAMLFIND    := ocamlfind

DISTFILES    := INSTALL LICENSE META Makefile README \
		$(wildcard *.ml) $(wildcard *.mli) $(wildcard examples/)

PKG_TARBALL  = $(PKGNAME)-$(PKGVERSION).tar.bz2

default: all


######################################################################

C_FILES   := $(wildcard *.c)
ML_FILES  := $(wildcard *.ml)
MLI_FILES := $(wildcard *.mli)
CMI_FILES := $(addsuffix .cmi,$(basename $(MLI_FILES)))

C_OBJS    := $(if $(C_FILES),$(PKGNAME).o $(C_OBJS),)
BYTE_OBJS := $(if $(ML_FILES),$(PKGNAME).cmo $(BYTE_OBJS),)
OPT_OBJS  := $(if $(ML_FILES),$(PKGNAME).cmx $(OPT_OBJS),)

DOCFILES  += $(ML_FILES) $(MLI_FILES)
PUBFILES  += $(DOCFILES) README

ARCHIVE   := $(if $(ML_FILES),$(PKGNAME).cma,)
XARCHIVE  := $(if $(ML_FILES),$(PKGNAME).cmxa,)

PKGS = $(shell grep "requires" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")
PKGS_CMA 	= $(addsuffix .cma, $(PKGS))
OCAML_STDLIB 	= $(shell ocamlc -where)

export OCAMLPATH = ..

.PHONY: all opt byte mli
all: $(C_OBJS) $(CMI_FILES) byte opt
byte: $(ARCHIVE)
opt: $(XARCHIVE)
mli: $(PKGNAME).mli.tmp

$(ARCHIVE): $(BYTE_OBJS)
	$(OCAMLC) -a -o $@ $(PREDICATE_OPTS) $<

$(XARCHIVE): $(OPT_OBJS)
	$(OCAMLOPT) -a -o $@ $(PREDICATE_OPTS) $<

.SUFFIXES: .cmo .cmi .cmx .ml .mli

%.mli.tmp: %.ml
	$(OCAMLC) $(PKGS_CMA) -c $< -i > $@
	@[ -s $@ ] || rm -f $@

%.cmo: %.ml
	$(OCAMLC) $(PKGS_CMA) -c $<

%.cmi: %.mli
	$(OCAMLC) $(PKGS_CMA) -c $<

%.cmx: %.ml
	$(OCAMLOPT) $(PKGS_CMA:.cma=.cmxa) -c $<

%.o: %.c
	$(CC) -c -I. -I$(OCAML_STDLIB)/caml $<


.depend: $(ML_FILES) $(MLI_FILES)
	$(OCAMLDEP) $(SYNTAX_OPTS) $(ML_FILES) $(MLI_FILES) > $@
include .depend

# (Un)installation
.PHONY: install uninstall
install: all
	ocamlfind remove $(PKGNAME); \
	[ -f "$(XARCHIVE)" ] && \
	extra="$(XARCHIVE) $(basename $(XARCHIVE)).a"; \
	ocamlfind install $(PKGNAME) $(MLI_FILES) $(CMI_FILES) $(ARCHIVE) META $$extra $(C_OBJS)

uninstall:
	ocamlfind remove $(PKGNAME)

# Make the examples
.PHONY: ex examples
ex: examples
examples:
	cd examples/; $(MAKE)

# Compile HTML documentation
doc: $(DOCFILES) $(CMI_FILES)
	@if [ -n "$(DOCFILES)" ] ; then \
	    if [ ! -x doc ] ; then mkdir doc ; fi ; \
	    $(OCAMLDOC) -v -d doc -html -colorize-code -I +contrib \
		$(ODOC_OPT) $(DOCFILES) ; \
	fi

# Make.bat -- easy compilation on win32
Make.bat:
	$(MAKE) clean
#	Filter out all "make" messages
	$(MAKE) all | grep --invert-match "make" > $@

# Make a tarball
.PHONY: dist
dist: $(DISTFILES) Make.bat
	@ if [ -z "$(PKGNAME)" ]; then echo "PKGNAME not defined"; exit 1; fi
	@ if [ -z "$(PKGVERSION)" ]; then \
		echo "PKGVERSION not defined"; exit 1; fi
	mkdir $(PKGNAME)-$(PKGVERSION) ; \
	mv Make.bat $(PKGNAME)-$(PKGVERSION); \
	cp -r $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/; \
	tar --exclude "CVS" --exclude ".cvsignore" --exclude "*~" \
	   --exclude "*.cm{i,x,o,xa}" --exclude "*.o" \
	  -jcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION); \
	rm -rf $(PKGNAME)-$(PKGVERSION)

# Release a Sourceforge tarball and publish the HTML doc 
.PHONY: web upload
web: doc
	@ if [ -d doc ] ; then \
	  scp -r doc/ shell.sf.net:$(SF_WEB)/ \
	  && echo "*** Published documentation on SF" ; \
	fi
	@ if [ -d $(SRC_WEB)/ ] ; then \
	  scp $(SRC_WEB)/*.html $(SRC_WEB)/*.jpg LICENSE \
	    shell.sf.net:$(SF_WEB) \
	  && echo "*** Published web site ($(SRC_WEB)/) on SF" ; \
	fi

upload: dist
	@ if [ -z "$(PKG_TARBALL)" ]; then \
		echo "PKG_TARBALL not defined"; exit 1; fi
	echo -e "bin\ncd incoming\nput $(PKG_TARBALL)" \
	  | ncftp -p chris_77@users.sf.net upload.sourceforge.net \
	  && echo "*** Uploaded $(PKG_TARBALL) to SF"



.PHONY: clean distclean
clean:
	rm -f *~ *.cmi *.cmo *.cmx *.cma *.cmxa *.a *.o *.tmp
	rm -f Make.bat $(PKGNAME)-$(PKGVERSION).tar.bz2
	rm -rf doc/
	cd examples/; $(MAKE) clean

distclean: clean
	rm -f config.status config.cache config.log

=== examples/Makefile ===
# Makefile for benchmark examples
#
# Just type "make"!

# Do not require that the package be installed to try the examples
REQUIRES 	= "str unix pcre"
BENCHMARK	= -I .. benchmark.cma

EXAMPLES        := $(wildcard *.ml)
PACKAGE_OPTS    := $(if $(REQUIRES), -package $(REQUIRES), )
PREDICATE_OPTS  := $(if $(PREDICATES), -predicates $(PREDICATES), )
SYNTAX_OPTS     := $(if $(SYNTAX),   -syntax $(SYNTAX), )
PP_OPTS         := $(if $(PPOPT),    -ppopt $(PPOPT), )
ALL_OPTS	= $(PACKAGE_OPTS) $(PREDICATE_OPTS) $(SYNTAX_OPTS) $(PP_OPTS)

OCAMLC		= ocamlfind ocamlc
OCAMLOPT	= ocamlfind ocamlopt

.PHONY: all

all: byte opt
byte: $(EXAMPLES:.ml=.exe)
opt:  $(EXAMPLES:.ml=.com)

%.exe: %.ml ../benchmark.cma
	OCAMLPATH="../.." $(OCAMLC) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK) $<

%.com: %.ml ../benchmark.cmxa
	OCAMLPATH="../.." $(OCAMLOPT) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK:.cma=.cmxa) $<

######################################################################
.PHONY: clean clobber

clean:
	rm -f $(EXAMPLES:.ml=.exe) $(EXAMPLES:.ml=.com) *.o *.cm[iox] *~

clobber: clean
	rm -f $(EXAMPLES)

## ocaml-benchmark 0.9

=== Makefile ===
OCAMLCFLAGS=-dtypes
OCAMLOPTFLAGS=-dtypes
OCAMLDOCFLAGS=-html -stars -colorize-code -I +contrib

PKGNAME	   = $(shell grep "name" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")
PKGVERSION = $(shell grep "version" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")

include Makefile.conf

DISTFILES  = INSTALL LICENSE META Makefile Makefile.conf README Make.bat \
		$(wildcard *.ml) $(wildcard *.mli) $(wildcard examples/)

# Publish
PKG_TARBALL  = ocaml-$(PKGNAME)-$(PKGVERSION).tar.gz
SRC_WEB    = web
SF_WEB     = /home/groups/o/oc/ocaml-benchmark/htdocs

default:
	@echo -n "This project now uses 'ocamlbuild' for the build phase.  "
	@echo -e "Please type\n\tocamlbuild all.otarget"
	@echo "(If you nonetheless want to use 'make' type 'make all'.)"


######################################################################

ML_FILES  := $(wildcard *.ml)
MLI_FILES := $(wildcard *.mli)
CMI_FILES := $(addsuffix .cmi,$(basename $(MLI_FILES)))

BYTE_OBJS := $(if $(ML_FILES),$(PKGNAME).cmo $(BYTE_OBJS),)
OPT_OBJS  := $(if $(ML_FILES),$(PKGNAME).cmx $(OPT_OBJS),)

DOCFILES  += $(ML_FILES) $(MLI_FILES)
PUBFILES  += $(DOCFILES) README

ARCHIVE   := $(if $(ML_FILES),$(PKGNAME).cma,)
XARCHIVE  := $(if $(ML_FILES),$(PKGNAME).cmxa,)

PKGS = $(shell grep "requires" META | sed -e "s/.*\"\([^\"]*\)\".*/\1/")
PKGS_CMA  = $(addsuffix .cma, $(PKGS))

export OCAMLPATH = ..

.PHONY: all opt byte
all: $(CMI_FILES) byte opt
byte: $(ARCHIVE)
opt: $(XARCHIVE)

# (Un)installation
.PHONY: install uninstall
install: all
	$(OCAMLFIND) remove $(PKGNAME); \
	[ -f "$(XARCHIVE)" ] && \
	extra="$(XARCHIVE) $(basename $(XARCHIVE)).a"; \
	$(OCAMLFIND) install $(if $(DESTDIR),-destdir $(DESTDIR)) $(PKGNAME) \
	$(MLI_FILES) $(CMI_FILES) $(ARCHIVE) META $$extra

installbyte:
	$(OCAMLFIND) remove $(PKGNAME); \
	$(OCAMLFIND) install $(if $(DESTDIR),-destdir $(DESTDIR)) $(PKGNAME) \
	$(MLI_FILES) $(CMI_FILES) $(ARCHIVE) META


uninstall:
	ocamlfind remove $(PKGNAME)

# Make the examples
.PHONY: ex examples
ex: examples
examples: all
	cd examples/; $(MAKE)

# Compile HTML documentation
doc: $(DOCFILES) $(CMI_FILES)
	@if [ -n "$(DOCFILES)" ] ; then \
	    if [ ! -x doc ] ; then mkdir doc ; fi ; \
	    $(OCAMLDOC) -v -d doc $(OCAMLDOCFLAGS) $(ODOC_OPT) $(DOCFILES) ; \
	fi

# Make.bat -- easy compilation on win32
Make.bat:
	$(MAKE) clean
#	Filter out all "make" messages
	$(MAKE) all | grep --invert-match "make" > $@

# Make a tarball
.PHONY: dist
dist: $(DISTFILES) Make.bat
	@ if [ -z "$(PKGNAME)" ]; then echo "PKGNAME not defined"; exit 1; fi
	@ if [ -z "$(PKGVERSION)" ]; then \
		echo "PKGVERSION not defined"; exit 1; fi
	mkdir $(PKGNAME)-$(PKGVERSION) ; \
	mv Make.bat $(PKGNAME)-$(PKGVERSION); \
	cp -r $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/; \
	tar --exclude "CVS" --exclude ".cvsignore" --exclude "*~" \
	  --exclude-from=.cvsignore \
	  -zcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION); \
	rm -rf $(PKGNAME)-$(PKGVERSION)

# Release a Sourceforge tarball and publish the HTML doc
.PHONY: web upload
web: doc
	@ if [ -d doc ] ; then \
	  scp -r doc/ shell.sf.net:$(SF_WEB)/ \
	  && echo "*** Published documentation on SF" ; \
	fi
	@ if [ -d $(SRC_WEB)/ ] ; then \
	  scp $(SRC_WEB)/*.html $(SRC_WEB)/*.jpg LICENSE \
	    shell.sf.net:$(SF_WEB) \
	  && echo "*** Published web site ($(SRC_WEB)/) on SF" ; \
	fi

upload: dist
	@ if [ -z "$(PKG_TARBALL)" ]; then \
		echo "PKG_TARBALL not defined"; exit 1; fi
	echo -e "bin\ncd incoming\nput $(PKG_TARBALL)" \
	  | ncftp -p chris_77@users.sf.net upload.sourceforge.net \
	  && echo "*** Uploaded $(PKG_TARBALL) to SF"


# Caml general dependencies
.SUFFIXES: .cmo .cmi .cmx .ml .mli

%.cmi: %.mli
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmo: %.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cma: %.cmo
	$(OCAMLC) -a -o $@ $(OCAMLCFLAGS) $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

%.cmxa: %.cmx
	$(OCAMLOPT) -a -o $@ $(OCAMLOPTFLAGS) $<


.PHONY: depend
depend: .depend
.depend: $(ML_FILES) $(MLI_FILES)
	$(OCAMLDEP) $(SYNTAX_OPTS) $(ML_FILES) $(MLI_FILES) > $@
include .depend

######################################################################
.PHONY: clean distclean
clean:
	rm -f *~ *.cmi *.cmo *.cmx *.cma *.cmxa *.a *.o *.tmp
	rm -f Make.bat $(PKG_TARBALL) *.dat
	rm -rf doc/
	cd examples/; $(MAKE) clean

distclean: clean
	rm -f config.status config.cache config.log .depend

=== examples/Makefile ===
# Makefile for benchmark examples
#
# Just type "make"!

# Do not require that the package be installed to try the examples
REQUIRES 	= "str unix pcre bigarray"
BENCHMARK	= -I .. benchmark.cma

EXAMPLES        := $(wildcard *.ml)
PACKAGE_OPTS    := $(if $(REQUIRES), -package $(REQUIRES), )
PREDICATE_OPTS  := $(if $(PREDICATES), -predicates $(PREDICATES), )
ALL_OPTS	= -dtypes $(PACKAGE_OPTS) $(PREDICATE_OPTS)

OCAMLC		= ocamlfind ocamlc
OCAMLOPT	= ocamlfind ocamlopt

.PHONY: all

all: byte opt
byte: $(EXAMPLES:.ml=.exe)
opt:  $(EXAMPLES:.ml=.com)

%.exe: %.ml ../benchmark.cma
	$(OCAMLC) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK) $<

%.com: %.ml ../benchmark.cmxa
	$(OCAMLOPT) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK:.cma=.cmxa) $<

######################################################################
.PHONY: clean clobber

clean:
	rm -f $(EXAMPLES:.ml=.exe) $(EXAMPLES:.ml=.com) *.o *.cm[iox] *~ *.dat

clobber: clean
	rm -f $(EXAMPLES)

## ocaml-benchmark 1.2

=== Makefile ===
PKGNAME	    = $(shell oasis query name)
PKGVERSION  = $(shell oasis query version)
PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz

DISTFILES  = INSTALL.txt LICENSE.txt META Makefile README.md \
  benchmark.mllib _tags _oasis API.odocl \
  $(wildcard *.ml) $(wildcard *.mli) $(wildcard examples/*.ml) \
  $(wildcard tests/*.ml)

WEB = ocaml-benchmark.forge.ocamlcore.org:/home/groups/ocaml-benchmark/htdocs/


.PHONY: all byte native configure doc install uninstall reinstall upload-doc

all byte native setup.log: configure
	ocaml setup.ml -build

configure: setup.data
setup.data: setup.ml
	ocaml $< -configure

setup.ml: _oasis
	oasis setup

doc install uninstall reinstall: setup.log
	ocaml setup.ml -$@

upload-doc: doc
	scp -C -p -r _build/API.docdir $(WEB)

# Make a tarball
.PHONY: dist tar
dist tar: $(DISTFILES)
	mkdir $(PKGNAME)-$(PKGVERSION) ; \
	cp -a --parents $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/; \
	tar -zcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION); \
	rm -rf $(PKGNAME)-$(PKGVERSION)

# Release a Sourceforge tarball and publish the HTML doc
.PHONY: web upload
web: upload-doc
	@ if [ -d web ] ; then \
	  $(SCP) web/*.html web/*.css web/*.jpg LICENSE.txt $(WEB) \
	  && echo "*** Published web site." ; \
	fi


.PHONY: clean distclean
clean::
	ocaml setup.ml -clean
	$(RM) $(PKG_TARBALL)

distclean:
	ocaml setup.ml -distclean
	$(RM) $(wildcard *.ba[0-9] *.bak *~ *.odocl)

=== debian/changelog ===
ocaml-benchmark (1.2-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:25 +0000

ocaml-benchmark (1.2-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file and homepage
  * import new upstream version
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update dependencies, Vcs fields, copyright
  * change packaging to debhelper
  * delete old patches
  * delete some unused files in debian subdir

 -- Hendrik Tews <hendrik@askra.de>  Sun, 23 Jun 2013 21:01:51 +0200

ocaml-benchmark (0.9-2) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Dec 2009 23:00:28 +0000

ocaml-benchmark (0.9-1) unstable; urgency=low

  * New Upstream Version
  * Remove patch 02_gettimeofday, applied upstream
  * Apply 03makedoc patch to fix documentation generation problem
  * Upgrade Standards-Version to 3.8.1 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 01 May 2009 18:35:22 +0200

ocaml-benchmark (0.8-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Sylvain Le Gall ]
  * New upstream version
  * Remove debian/control.in
  * Use dh-ocaml for generating .ocamldoc-apiref automatically
  * Remove patch 01destdir, applied upstream
  * Apply patch 02gettimeofday, to have a WALL time with a precision better
    than 1 second (replace Unix.time by Unix.gettimeofay)
  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add Homepage field to debian/control
  * Add ${misc:Depends} to dependencies
  * Upgrade debian/compat to 7 (use debian/clean)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Mar 2009 00:43:56 +0100

ocaml-benchmark (0.6-7) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Move API documentation to the standard directory of OCaml

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:45 +0200

ocaml-benchmark (0.6-6) experimental; urgency=low

  * Ooops, depends field is empty

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 01:48:48 +0200

ocaml-benchmark (0.6-5) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Use CDBS for debian/rules,
  * Change email address to gildor@debian.org everywhere
  * Change watch URL to sf.net
  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:25 +0200

ocaml-benchmark (0.6-4) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 08:58:34 +0200

ocaml-benchmark (0.6-3) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:01:42 +0100

ocaml-benchmark (0.6-2) unstable; urgency=low

  * Forget to update control using control.in. Add dependency on ocaml-
    findlib (Closes: #343408)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 19 Dec 2005 23:57:29 +0100

ocaml-benchmark (0.6-1) unstable; urgency=high

  * Initial Release. ( Closes: #303310 )

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:55:44 +0100

=== debian/control ===
Source: ocaml-benchmark
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.10.0-9),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.1.2pl1-4),
 libpcre-ocaml-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-benchmark.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-benchmark.git
Homepage: https://forge.ocamlcore.org/projects/ocaml-benchmark/

Package: libbenchmark-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml benchmarking library
 This library implements benchmarking functions for measuring the
 run-time of one or many functions using latency (multiple
 repetitions) or throughput (repeat until some time period has
 passed) tests.
 .
 It is inspired by the Perl module of the same name ( benchmark ).

## ocaml-benchmark 1.3

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 configure: setup.data
 setup.data: setup.ml
-	ocaml $< -configure
+	ocaml $< -configure --enable-examples --enable-tests
 
 setup.ml: _oasis
 	oasis setup

=== debian/changelog ===
ocaml-benchmark (1.3-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:40:38 -0600

ocaml-benchmark (1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 May 2015 08:44:55 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-best-compilers,
  ocaml-findlib (>= 1.1.2pl1-4),
  libpcre-ocaml-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-benchmark.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-benchmark.git
 Homepage: https://forge.ocamlcore.org/projects/ocaml-benchmark/

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=197 .*/benchmark-(\d.*)\.tar\.gz

## ocaml-benchmark 1.6

=== examples/Makefile ===
# Makefile for benchmark examples
#
# Just type "make"!

# Do not require that the package be installed to try the examples
REQUIRES 	= str unix bigarray
BENCHMARK	= -I .. benchmark.cma

EXAMPLES        = $(wildcard *.ml)
PACKAGE_OPTS    = $(if $(REQUIRES), -package "$(REQUIRES)", )
PREDICATE_OPTS  = $(if $(PREDICATES), -predicates $(PREDICATES), )
ALL_OPTS	= -annot $(PACKAGE_OPTS) $(PREDICATE_OPTS)

OCAMLC		= ocamlfind ocamlc
OCAMLOPT	= ocamlfind ocamlopt

.PHONY: all

all: byte opt native
byte: $(EXAMPLES:.ml=.exe)
opt native:  $(EXAMPLES:.ml=.com)

regexps.exe regexps.com: REQUIRES += pcre

%.exe: %.ml ../benchmark.cma
	$(OCAMLC) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK) $<

%.com: %.ml ../benchmark.cmxa
	$(OCAMLOPT) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK:.cma=.cmxa) $<

######################################################################
.PHONY: clean

clean:
	$(RM) -f $(EXAMPLES:.ml=.exe) $(EXAMPLES:.ml=.com)
	$(RM) $(wildcard *.o *.cm[iox] *~ *.annot *.dat)

=== debian/changelog ===
ocaml-benchmark (1.6-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:20:47 +0100

ocaml-benchmark (1.6-2) unstable; urgency=medium

  * Team upload
  * Remove libpcre-ocaml-dev from Build-Depends (unused)
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Dec 2021 08:46:46 +0100

ocaml-benchmark (1.6-1) unstable; urgency=medium

  * Team upload
  * Remove Hendrik from Uploaders
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 07:14:45 +0200

ocaml-benchmark (1.3-3) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Sep 2019 18:05:10 +0200

ocaml-benchmark (1.3-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:17:23 +0200

=== debian/control ===
Source: ocaml-benchmark
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 ocaml-nox,
 ocaml-dune
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-benchmark.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-benchmark
Homepage: https://github.com/Chris00/ocaml-benchmark

Package: libbenchmark-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml benchmarking library
 This library implements benchmarking functions for measuring the
 run-time of one or many functions using latency (multiple
 repetitions) or throughput (repeat until some time period has
 passed) tests.
 .
 It is inspired by the Perl module of the same name ( benchmark ).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p benchmark

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/benchmark/LICENSE.md

## ocaml-benchmark 1.7

=== Makefile ===
PKGVERSION = $(shell git describe --always)
PKGTARBALL = benchmark-$(PKGVERSION).tbz

DUNE_OPTS?=

all build byte native:
	dune build $(DUNE_OPTS) @install @tests @examples

install uninstall:
	dune $@

doc:
	sed -e 's/1.6-19-gd299f71/$(PKGVERSION)/' benchmark.mli \
	  > _build/default/benchmark.mli
	dune build $(DUNE_OPTS) @doc
	@echo '.def { background: #f0f0f0; }' \
	  >> _build/default/_doc/_html/odoc.css

lint:
	opam lint benchmark.opam

clean:
	dune clean

WATCH?=@install
watch:
	dune build $(DUNE_OPTS) $(WATCH) -w


.PHONY: all build byte native install uninstall doc lint clean watch

=== examples/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 byte: $(EXAMPLES:.ml=.exe)
 opt native:  $(EXAMPLES:.ml=.com)
 
-regexps.exe regexps.com: REQUIRES += pcre
+regexps.exe regexps.com: REQUIRES += re
 
 %.exe: %.ml ../benchmark.cma
 	$(OCAMLC) -o $@ $(ALL_OPTS) -linkpkg $(BENCHMARK) $<

=== debian/changelog ===
ocaml-benchmark (1.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Feb 2025 11:54:11 +0100

ocaml-benchmark (1.6-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:29:12 +0200

ocaml-benchmark (1.6-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041034)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 11:58:48 +0200

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/Chris00/ocaml-benchmark/releases?per_page=50 \
https://github.com/Chris00/ocaml-benchmark/releases/download/[^/]+/benchmark-@ANY_VERSION@\.tbz
